Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
warm-pool
Update warm pool config
curl --request PATCH \
  --url https://capy.ai/api/v1/projects/{projectId}/warm-pool \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "targetSize": 10.5,
  "maxAgeMinutes": 735,
  "branch": "<string>",
  "setupCommands": [
    {
      "name": "<string>",
      "command": "<string>",
      "background": true
    }
  ]
}
'
{
  "config": {
    "enabled": true,
    "targetSize": 123,
    "maxAgeMinutes": 123,
    "branch": "<string>",
    "setupCommands": [
      {
        "name": "<string>",
        "command": "<string>",
        "background": true
      }
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "status": {
    "ready": 0,
    "provisioning": 0,
    "failed": 0
  }
}

Authorizations

Authorization
string
header
required

API token (capy_xxxx). Generate at capy.ai/settings/tokens

Path Parameters

projectId
string
required

Project ID.

Body

application/json
enabled
boolean
targetSize
number
Required range: 1 <= x <= 20
maxAgeMinutes
number
Required range: 30 <= x <= 1440
branch
string | null
setupCommands
object[] | null

Response

Success

config
object
required
status
object
required